void configuracion_inicial()
{
	OSCCON_OSTS=1; //Se usa reloj externo
	FOSC0=1;//El reloj externo es de cristal

	//Para los TRIS: 1=Entrada, 0=Salida
	TRISA4=1;//Boton1
	TRISA5=0;//LED1
	TRISB0=1;//Boton2
	TRISC0=0;//LED3
	TRISC1=0;//M2Enable
	TRISC2=0;//M1Enable
	TRISD0=0;//M1In1
	TRISD1=0;//M1In2
	TRISD2=0;//M2In1
	TRISD3=0;//M2In2
	TRISD4=1;//Sensor3
	TRISD5=1;//Sensor4
	TRISD6=1;//Sensor6
	TRISD7=1;//Sensor5
	TRISE0=0;//LED2
	TRISE1=1;//Sensor2
	TRISE2=1;//Sensor1
	//TRISA7=1;//cristal
	//TRISA6=1;//cristal
}

//Funciones para los MOTORES
	//Cada motor por separado
		//MIAvanzar()	MDAvanzar()
		//MIRetroceder()MDRetroceder()
		//MIDetener()	MDDetener()
		//MIFrenar()		MDFrenar()
	//Ambos motores a la vez
		//GirarIzquierda()	GirarDerecha()
		//RotarIzquierda()	RotarDerecha()
		//	Avanzar()	Retroceder()
		//	Detener()	Frenar()
//Motor Izquierdo
void MIAvanzar(){
	M1Enable=1;
	M1In1=1;
	M1In2=0;
}
void MIRetroceder(){
	M1Enable=1;
	M1In1=0;
	M1In2=1;
}
void MIDetener(){
	M1Enable=0;
	M1In1=0;
	M1In2=0;
}
void MIFrenar(){
	M1Enable=1;
	M1In1=1;
	M1In2=1;
}
//Motor Derecho
void MDAvanzar(){
	M2Enable=1;
	M2In1=1;
	M2In2=0;
}
void MDRetroceder(){
	M2Enable=1;
	M2In1=0;
	M2In2=1;
}
void MDDetener(){
	M2Enable=0;
	M2In1=0;
	M2In2=0;
}
void MDFrenar(){
	M2Enable=1;
	M2In1=1;
	M2In2=1;
}

//MOV. RECTILINEO: Ambos motores
void Avanzar(){
	M1Enable=1;
	M1In1=1;
	M1In2=0;
	M2Enable=1;
	M2In1=1;
	M2In2=0;
}
void Retroceder(){
	M1Enable=1;
	M1In1=0;
	M1In2=1;
	M2Enable=1;
	M2In1=0;
	M2In2=1;
}
void Detener(){
	M1Enable=0;
	M1In1=0;
	M1In2=0;
	M2Enable=0;
	M2In1=0;
	M2In2=0;
}
void Frenar(){
	M1Enable=1;
	M1In1=1;
	M1In2=1;
	M2Enable=1;
	M2In1=1;
	M2In2=1;
}

//GIROS: Ambos motores
void GirarIzquierda(){
	//MI:Detenido
	M1Enable=0;
	M1In1=0;
	M1In2=0;
	//MD:Avanzando
	M2Enable=1;
	M2In1=1;
	M2In2=0;
}
void GirarDerecha(){
	//MI:Avanzando
	M1Enable=1;
	M1In1=1;
	M1In2=0;
	//MD:Detenido
	M2Enable=0;
	M2In1=0;
	M2In2=0;
}
//Nota: El giro tiene menor grado de giro que la rotacion
//ROTACION: Ambos motores
void RotarIzquierda(){
	//MI:Retrocede
	M1Enable=1;
	M1In1=0;
	M1In2=1;
	//MD:Avanzando
	M2Enable=1;
	M2In1=1;
	M2In2=0;
}
void RotarDerecha(){
	//MI:Avanzando
	M1Enable=1;
	M1In1=1;
	M1In2=0;
	//MD:Retrocede
	M2Enable=1;
	M2In1=0;
	M2In2=1;
}